using SurgeEngine.Actor;
using SurgeEngine.Player;
using SurgeEngine.Collisions.CollisionBox;
using SurgeEngine.Collisions.CollisionBall;

object "CollisionTest" is "entity"
{
    actor = Actor("CollisionTest");
    myCollider = CollisionBall(25); // ball with radius = 25px

    // The player has a built-in collider
    // Let's make it visible
    state "main"
    {
        player = Player.active;
        player.collider.visible = true;
        myCollider.visible = true;
    }

    // Detect collisions between a collider that is a child
    // of this object and any other collider in the game
    fun onCollision(collider)
    {
        // A collision has occurred.
        if(collider.entity.hasTag("player")) {
            // Collided with a player?
            player = collider.entity;
            Console.print("Touched " + player.name);
        }
        else
            Console.print("Collided with something else.");
    }
}